Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Interface CertPathBuilderResult

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  PKIXCertPathBuilderResult

public interface CertPathBuilderResult
extends java.lang.Cloneable

A specification of the result of a certification path builder algorithm. All results returned by the `CertPathBuilder.build` method must implement this interface.
At a minimum, a CertPathBuilderResult contains the CertPath built by the CertPathBuilder instance. Implementations of this interface may add methods to return implementation or algorithm specific information, such as debugging information or certification path validation results.
Concurrent Access
Unless otherwise specified, the methods defined in this interface are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Method Summary
`java.lang.Object` | `clone()` Makes a copy of this `CertPathBuilderResult`.
`CertPath` | `getCertPath()` Returns the built certification path.

Method Detail

### getCertPath

    public CertPath getCertPath()

  Returns the built certification path.
  Returns:
    the certification path (never `null`)

### clone

    public java.lang.Object clone()

  Makes a copy of this `CertPathBuilderResult`. Changes to the copy will not affect the original and vice versa.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of this CertPathBuilderResult

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD